import highendivisystem 1.0
import QtQuick.Studio.Components 1.0
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.11
import QtGraphicalEffects 1.0
import QtQuick3D.Effects 1.15
import QtQuick.Studio.Effects 1.0
import QtQuick.Timeline 1.0
import FlowView 1.0
import QtMultimedia 5.15
import QtQuick3D 1.15
import QtQuick 2.15
import QtQuick.VirtualKeyboard 2.1
import QtLocation 5.6
import QtPositioning 5.6

Rectangle {
    id: splashscreen
    width: 1080
    height: 1920
    opacity: 0
    color: "#000000"

    Timeline {
        id: timeline
        animations: [
            TimelineAnimation {
                id: timelineAnimation
                running: true
                loops: 1
                duration: 10000
                to: 10000
                from: 0
            }
        ]
        enabled: true
        endFrame: 10000
        startFrame: 0

        KeyframeGroup {
            target: splashscreen
            property: "opacity"
            Keyframe {
                frame: 0
                value: 1
            }

            Keyframe {
                frame: 8795
                value: 1
            }

            Keyframe {
                frame: 10002
                value: 0
            }

            Keyframe {
                frame: 7733
                value: 1
            }
        }

        KeyframeGroup {
            target: rectangle
            property: "x"
            Keyframe {
                frame: 0
                value: 258
            }

            Keyframe {
                frame: 3999
                value: 258
            }

            Keyframe {
                frame: 5500
                value: 646
            }
        }

        KeyframeGroup {
            target: rectangle
            property: "y"
            Keyframe {
                frame: 0
                value: 652
            }

            Keyframe {
                frame: 3999
                value: 652
            }

            Keyframe {
                frame: 5500
                value: 325
            }
        }

        KeyframeGroup {
            target: flare2
            property: "x"
            Keyframe {
                frame: 0
                value: 456
            }

            Keyframe {
                frame: 5308
                value: 456
            }
        }

        KeyframeGroup {
            target: flare2
            property: "y"
            Keyframe {
                frame: 0
                value: 579
            }

            Keyframe {
                frame: 5308
                value: 579
            }
        }

        KeyframeGroup {
            target: flare2
            property: "scale"
            Keyframe {
                frame: 0
                value: 0.5
            }

            Keyframe {
                frame: 5308
                value: 0
            }

            Keyframe {
                frame: 6809
                value: 0
            }

            Keyframe {
                frame: 5665
                value: 1
            }
        }

        KeyframeGroup {
            target: flare2
            property: "rotation"
            Keyframe {
                frame: 0
                value: 0
            }

            Keyframe {
                frame: 5308
                value: 0
            }

            Keyframe {
                frame: 6809
                value: 360
            }
        }

        KeyframeGroup {
            target: flare2
            property: "opacity"
            Keyframe {
                frame: 0
                value: 0
            }

            Keyframe {
                frame: 5308
                value: 0
            }

            Keyframe {
                frame: 5665
                value: 1
            }

            Keyframe {
                frame: 6809
                value: 0
            }

            Keyframe {
                frame: 6388
                value: 1
            }
        }

        KeyframeGroup {
            target: logolines
            property: "opacity"
            Keyframe {
                frame: 0
                value: 1
            }

            Keyframe {
                frame: 6500
                value: 1
            }

            Keyframe {
                frame: 7934
                value: 0
            }
        }

        KeyframeGroup {
            target: rectangle
            property: "opacity"
            Keyframe {
                frame: 0
                value: 1
            }

            Keyframe {
                frame: 6809
                value: 1
            }

            Keyframe {
                frame: 7300
                value: 0
            }
        }

        KeyframeGroup {
            target: qt
            property: "opacity"
            Keyframe {
                frame: 0
                value: 0
            }

            Keyframe {
                frame: 5555
                value: 1
            }

            Keyframe {
                frame: 5290
                value: 0
            }

            Keyframe {
                frame: 7733
                value: 1
            }

            Keyframe {
                frame: 8877
                value: 0
            }
        }
    }

    Image {
        id: logolines
        x: 346
        y: 818
        width: 389
        height: 285
        opacity: 0
        source: "img/logolines.png"
        fillMode: Image.PreserveAspectFit
    }

    Rectangle {
        id: rectangle
        x: 616
        y: 325
        width: 600
        height: 560
        opacity: 0
        color: "#000000"
        rotation: 45
    }

    Image {
        id: flare2
        x: 456
        y: 579
        opacity: 1
        anchors.bottom: logolines.bottom
        source: "Flare2.png"
        scale: 1
        rotation: 360
        anchors.bottomMargin: 12
        fillMode: Image.PreserveAspectFit
    }

    Image {
        id: qt
        x: 428
        y: 818
        width: 225
        height: 199
        opacity: 0
        anchors.top: parent.top
        source: "img/qt.png"
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 867
        fillMode: Image.PreserveAspectFit
    }
}

/*##^##
Designer {
    D{i:0;formeditorZoom:0.75;height:1920;width:1080}D{i:17;property:"x";target:"flare2"}
D{i:20;property:"y";target:"flare2"}D{i:23;property:"scale";target:"flare2"}D{i:28;property:"rotation";target:"flare2"}
D{i:32;property:"opacity";target:"flare2"}D{i:1}D{i:51}D{i:52}D{i:53}D{i:54}
}
##^##*/

